;-----------------------------------------------------------------------------
;-		ATMEL Microcontroller Software Support  -	ROUSSET -
;-----------------------------------------------------------------------------
;- File Name			:	arm.inc
;- Object				:	ARM Core Definition File.
;-
;- 1.0 10/03/98 JCZ	: Creation
;-----------------------------------------------------------------------------

;- ARM Core Definition
;---------------------

ARM_MODE_USER			EQU		0x10
ARM_MODE_FIQ			EQU		0x11
ARM_MODE_IRQ			EQU		0x12
ARM_MODE_SVC			EQU		0x13
ARM_MODE_ABORT			EQU		0x17
ARM_MODE_UNDEF			EQU		0x1B
ARM_MODE_SYS			EQU		0x1F

I_BIT						EQU		0x80
F_BIT						EQU		0x40
T_BIT						EQU		0x20

			END
